# $Revision: 1.20 $, $Date: 2009/06/29 14:22:32 $
#
# TODO
# - logrotate script
# - libpcp devel subpackage?
#
%bcond_without	pam	# don't build with pam support
#
%define		relname	pgpool
#
Summary:	Pgpool - a connection pooling/replication server for PostgreSQL
Summary(pl.UTF-8):	Pgpool - serwer puli połączeń i replikacji dla PostgreSQL-a
Name:		pgpool-II
Version:	2.2.2
Release:	1
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/2191/%{name}-%{version}.tar.gz
# Source0-md5:	6f14514ed4ed5368ad3ab7e2d4c5136b
Source1:	%{relname}.init
Source2:	%{relname}.monitrc
Source3:	%{relname}.sysconfig
URL:		http://pgpool.projects.postgresql.org/
BuildRequires:	postgresql-devel
%{?with_pam:BuildRequires:	pam-devel}
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
%{?with_pam:Requires:	pam}
Requires:	rc-scripts >= 0.2.0
Provides:	group(pgpool)
Provides:	user(pgpool)
Provides:	pgpool
Obsoletes:	pgpool
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pgpool is a connection pooling/replication server for PostgreSQL.
Pgpool runs between PostgreSQL's clients(front ends) and servers
(backends). A PostgreSQL client can connect to pgpool as if it were a
standard PostgreSQL server.

%description -l pl.UTF-8
Pgpool to serwer puli połączeń i replikacji dla PostgreSQL-a.

%package -n monit-rc-pgpool-II
Summary:	pgpool support for monit
Summary(pl.UTF-8):	Wsparcie pgpool dla monit
Group:		Applications/System
Requires:	%{name}
Requires:	monit
Obsoletes:	monit-rc-pgpool

%description -n monit-rc-pgpool-II
monitrc file for pgpool monitoring.

%description -n monit-rc-pgpool-II -l pl.UTF-8
Plik monitrc do monitorowania pgpool.

%prep
%setup -q

sed -i -e "/socket/ s| = '/tmp'| = '/var/run/pgpool'|" pgpool.conf.sample

%build
CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags}"
export CFLAGS CXXFLAGS

%configure \
	--bindir=%{_bindir} \
	%{?with_pam:--with-pam} \
	--sysconfdir=%{_sysconfdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir}/{sysconfig,monit,pam.d},%{_varrun}/pgpool}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pcp.conf{.sample,}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pgpool.conf{.sample,}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pool_hba.conf{.sample,}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{relname}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/monit/%{relname}.monitrc
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{relname}
%if %{with pam}
install sample/pgpool.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/pgpool
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -r -g 240 pgpool
%useradd -r -u 240 -d /usr/share/empty -s /bin/false -c "Pgpool User" -g pgpool pgpool

%post
/sbin/chkconfig --add %{relname}
%service %{relname} restart

%preun
if [ "$1" = "0" ]; then
	%service %{relname} stop
	/sbin/chkconfig --del %{relname}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove pgpool
	%groupremove pgpool
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS TODO doc sample sql
%lang(ja) %doc README.euc_jp
%attr(755,root,root) %{_bindir}/pcp_*
%attr(755,root,root) %{_bindir}/pg*
%attr(755,root,root) %{_libdir}/libpcp.so.*
%attr(754,root,root) /etc/rc.d/init.d/%{relname}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pcp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pgpool.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pool_hba.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{relname}
%{_mandir}/man8/pgpool.8*
%dir %attr(775,root,pgpool) %{_varrun}/pgpool
%if %{with pam}
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/pgpool
%endif

%files -n monit-rc-pgpool-II
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/monit/%{relname}.monitrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pgpool.spec,v $
Revision 1.20  2009/06/29 14:22:32  gotar
- adjust default config to sane sockets locations (our postgresql can't do
  this, shame)

Revision 1.19  2009/06/29 14:14:39  gotar
- fixed pidfile location into self-managed /var/run/pgpool/
- remove subsys lock unconditionally on service stop

Revision 1.18  2009/06/29 12:42:47  gotar
- BR: postgresql-devel (thnx LCh)

Revision 1.17  2009/06/29 12:17:27  gotar
- no CFLAGS/CXXFLAGS from environment (should be empty anyway)

Revision 1.16  2009/06/29 12:14:32  gotar
- changed monit-rc-pgpool name to monit-rc-pgpool-II as well to allow
  upgrade without epoch bump; this could have been separate package as it's
  not connected any way with main package (vide other monit-rc-* packages)

Revision 1.15  2009/06/29 12:05:10  gotar
- upgraded to pgpool-II (name changed just like in cdparanoia-III);
- version 2.2.2 from Łukasz Chrustek,
- use relname=pgpool for distro-provided scripts, don't use any macros for
  pam, user and group

Revision 1.14  2009/03/22 22:33:45  baggins
- unified: removed _initrddir macro usage

Revision 1.13  2009/02/24 12:47:29  radek
- release 1: run as pgpool

Revision 1.12  2008/06/18 12:35:44  glen
- revert (it's inconsistent macro), adapter too

Revision 1.11  2008/06/18 09:10:10  sardzent
- next macro

Revision 1.10  2008-06-13 21:21:33  sardzent
- rpm macro added

Revision 1.9  2008-06-13 21:17:31  sardzent
- rc-script added
- sysconfig file added
- pam support added
- 240/240 uid/gid
- doesn't chown to user yet
- monitrc file added
- logrotate file missing

Revision 1.8  2007-11-26 21:24:45  radek
- version 3.4.1; WARNING: adjust pool_hba.conf to your needs

Revision 1.7  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.5  2006/06/01 06:37:51  zawadaa
- up to 3.0.2

Revision 1.4  2005/10/24 15:13:20  agaran
- i believe that config is in sysconfdir, patch by Andrzej Nakonieczny

Revision 1.3  2005/10/03 17:31:15  qboosh
- md5, removed useless INSTALL from doc

Revision 1.2  2005/10/03 17:29:25  qboosh
- pl

Revision 1.1  2005/09/28 09:25:19  zawadaa
- initial for PLD
- NFY
